/* This file is part of Indico.
 * Copyright (C) 2002 - 2015 European Organization for Nuclear Research (CERN).
 *
 * Indico is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * Indico is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Indico; if not, see <http://www.gnu.org/licenses/>.
 */

.infogrid {
    margin: 1em 0 2em 0;

    &:after {
        content: "";
        display: table;
        clear: both;
    }

    &.condensed {
        .infoline {
            margin-top: 0;
        }
    }
}

.infoline {
    color: $light-black;
    float: left;
    overflow: auto;
    width: 50%;
    margin-top: 1em;

    &, &:after, &:before {
        @include box-sizing(border-box);
    }

    i, .icon {
        color: $gray;
        float: left;
        font-size: 2rem;
        padding-right: 0.5em;
    }

    .toolbar {
        margin-bottom: 0;
    }

    .label {
        font-weight: bold;

        &.big {
            font-size: 1rem;
            line-height: 2rem;
        }
    }

    .text {
        padding-left: 3rem;
    }
}

.infoline.date {
    font-size: 1.1em;

    .datetime {
        color: $black;
    }

    .timezone {
        color: $gray;
    }
}

.infoline.info {
    padding: 10px;
    clear: both;
    width: 100%;
    background: #f4f4f4;
}

.infoline.location {
    .address {
        margin-top: 0.5em;
    }

    .place {
        color: #444;
        font-size: 1.1em;
    }
}

.infoline.material {
    padding: 5px;

    > ul {
        margin: 0;
        padding: 0 3rem 0 3rem;
        list-style-type: none;
    }
}

.infoline.registration {
    @include border-all($blue);
    background: $light-blue;
    clear: both;
    padding: 10px;
    width: 100%;

    .icon, .label {
        color: $blue;
    }

    .date {
        font-weight: bold;
    }

    .text {
        position: relative;
    }

    .toolbar {
        position: absolute;
        right: 0;
        top: 0;
    }
}
